Subject: Re: git-subtree split O(N)

From: [email-masked] (Randal L. Schwartz)
Date: Mon, 30 Apr 2012 20:03:42 -0700

>>>>> "Vinnie" == Vinnie Falco <[email-masked]> writes:

Vinnie> I'm using git-subtree split to extract changes to a directory
Vinnie> previously added with git-subtree add, in my local repository. The
Vinnie> split is going into its own branch, which I then push to the upstream.

Vinnie> The problem is that every time I split, git-subtree starts from the
Vinnie> very beginning of the commit log and works its way forward. I thought
Vinnie> that it was only supposed to do that once, and that subsequent splits
Vinnie> would start from the last commit in the destination branch (I keep the
Vinnie> split branch around).

Are you using -rejoin?

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.posterous.com/ for Smalltalk discussion